<script lang="ts">
    import { metatags } from '@roxi/routify'
    import { Utils } from '../../../../classes/utils';
    import { Toast } from '../../../../classes/toast';
    metatags.title = 'My Routify app'
    metatags.description = 'Description coming soon...'

    export let id: string;

    let amount: number = null;
    let loading: boolean = false;

    function sendMoney(): void {
        loading = true;
        Utils.sendMoney(id, amount)
            .then(() => {
                Toast.success('Successful withdrawal');
            })
            .catch(err => {
                if (err?.response?.data) {
                    Toast.failure(err.response.data);
                } else {
                    Toast.failure(err);
                }
            })
            .finally(() => {
                loading = false;
            })
    }
</script>

<div class="is-justify-content-center is-flex">
    <form on:submit|preventDefault={() => sendMoney()}>
        <div class="card">
            <div class="card-header">
                <div class="card-header-title">
                    Send SXP to {id}
                </div>
            </div>
            <div class="card-content">
                <div class="field has-addons">
                    <p class="control">
                        <input class="input" type="number" step="0.01" placeholder="Amount (i.e. 20)" bind:value="{amount}">
                        <small>Fees may apply, consult <a target="_blank" href="https://www.binance.com/en/fee/depositFee">withdrawal fees table</a></small>
                    </p>
                    <p class="control">
                        <a href="." class="button is-static">SXP</a>
                    </p>
                </div>

                <div class="is-justify-content-center is-flex">
                    <button class="button is-primary" class:is-loading={loading}>Send</button>
                </div>
            </div>
        </div>
    </form>
</div>
